'coldfusion'에 해당되는 글 3건

  1. 2015.09.01 Adobe ColdFusion 보안 업데이트
  2. 2015.04.20 Adobe 제품군 신규 취약점 보안 업데이트
  3. 2014.12.11 Adobe 제품군 신규 취약점 보안 업데이트
2015. 9. 1. 19:13

Adobe ColdFusion 보안 업데이트

□ 개요


o Adobe社는 ColdFusion에 발생할 수 있는 정보노출 취약점을 해결한 보안 업데이트를 발표[1]

  

□ 설명


o CodFusion의 1개 취약점을 해결한 보안 업데이트 발표[1]

- 특수하게 조작된 XML External Entities 처리 시 주요 정보가 노출될 수 있는 취약점(CVE-2015-3269)

 

□ 영향 받는 소프트웨어


o ColdFusion 11

- ColdFusion Update 5 및 이전 버전

o ColdFusion 10

- ColdFusion Update 16 및 이전 버전

 

□ 해결 방안

 

o ColdFusion 11

- ColdFusion 11 사용자는 http://helpx.adobe.com/coldfusion/kb/coldfusion-11-update-6.html 사이트에 방문하여 핫픽스 설치

o ColdFusion 10

- ColdFusion 10 사용자는 http://helpx.adobe.com/coldfusion/kb/coldfusion-10-update-17.html사이트에 방문하여 핫픽스 설치

 

□ 기타 문의사항


o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118

 

[참고사이트]

[1] https://helpx.adobe.com/security/products/coldfusion/apsb15-21.html


Trackback 0 Comment 0
2015. 4. 20. 15:13

Adobe 제품군 신규 취약점 보안 업데이트

개요

  • Adobe社는 Flash Player, ColdFusion 및 Flex에서 발생하는 취약점을 해결한 보안 업데이트를 발표[1][2][3]
  • 낮은 버전 사용자는 악성코드 감염에 취약할 수 있으므로 해결방안에 따라 최신버전으로 업데이트 권고

 

설명

  • Adobe Flash Player의 22개 취약점에 대한 보안 업데이트를 발표[1]
    • 임의코드 실행으로 이어질 수 있는 메모리 손상 취약점(CVE-2015-0347, CVE-2015-0350, CVE-2015-0352, CVE-2015-0353, CVE-2015-0354, CVE-2015-0355, CVE-2015-0360, CVE-2015-3038, CVE-2015-3041, CVE-2015-3042, CVE-2015-3043)
    • 임의코드 실행으로 이어질 수 있는 type confusion 취약점(CVE-2015-0356)
    • 임의코드 실행으로 이어질 수 있는 버퍼 오버플로우 취약점(CVE-2015-0348)
    • 임의코드 실행으로 이어질 수 있는 use-after-free 취약점(CVE-2015-0349, CVE-2015-0351, CVE-2015-0358, CVE-2015-3039)
    • 임의코드 실행으로 이어질 수 있는 double-free 취약점(CVE-2015-0346, CVE-2015-0359)
    • ASLR 우회에 사용되는 메모리 누수 취약점(CVE-2015-0357, CVE-2015-3040)
    • 정보 누출로 이어질 수 있는 보안 우회 취약점(CVE-2015-3044)
  • Adobe ColdFusion의 1개 취약점에 대한 보안 업데이트를 발표[2]
    • 크로스 사이트 스크립팅(Cross-Site Scripting(XSS)) 취약점(CVE-2015-0345)
  • Adobe Flex의 1개 취약점에 대한 보안 업데이트를 발표[3]
    • 크로스 사이트 스크립팅(Cross-Site Scripting(XSS)) 취약점(CVE-2015-1773)

 

영향 받는 소프트웨어

  • Adobe Flash Player

소프트웨어 명

동작환경

영향 받는 버전

Adobe Flash Player Desktop Runtime

윈도우즈

17.0.0.134 및 이전버전

Adobe Flash Player Extended Support Release

윈도우즈

13.0.0.277 및 이전버전

Adobe Flash Player for Google Chrome

윈도우즈리눅스

17.0.0.134 및 이전버전

Adobe Flash Player for Internet Explorer 10 and Internet Explorer 11

Windows 8.0, 8.1

17.0.0.134 및 이전버전

Adobe Flash Player

Linux

11.2.202.451 및 이전버전

  • Adobe ColdFusion

소프트웨어 명

동작환경

영향 받는 버전

ColdFusion

모든 플랫폼

11 및 10

  • Adobe Flex

소프트웨어 명

동작환경

영향 받는 버전

Flex

모든 플랫폼

4.6 및 이전버전

 

해결 방안


용어 정리

  • ColdFusion : Adobe社에서 만든 애플리케이션(웹 서비스) 개발을 위한 RAD 플랫폼
  • Type Confusion 취약점 : 객체의 타입(type)을 혼동하여 발생하는 오류 및 취약점
  • Use After Free 취약점 : 소프트웨어 구현 시 동적 혹은 정적으로 할당된 메모리를 해제했음에도 불구하고 이를 계속 참조(사용)하여 발생하는 취약점
  • Double Free 취약점 : 특정 힙 영역을 두 번 해제시켜 메모리 포인터를 조작할 수 있는 취약점
  • Cross-site-scripting 취약점 : 관리자가 아닌 일반 사용자가 악성 스크립트를 삽입할 수 있는 취약점

 

기타 문의사항

  • 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118

 

[참고사이트]

[1] htps://helpx.adobe.com/security/products/flash-player/apsb15-06.html

[2] https://helpx.adobe.com/security/products/coldfusion/apsb15-07.html

[3] https://helpx.adobe.com/security/products/flex/apsb15-08.html


Trackback 0 Comment 0
2014. 12. 11. 20:12

Adobe 제품군 신규 취약점 보안 업데이트

개요

  • Adobe社는 Flash Player, Adobe Reader/Acrobat 및 ColdFusion에서 발생하는 취약점을 해결한 보안 
    업데이트를 발표[1][2][3]
  • 낮은 버전 사용자는 악성코드 감염에 취약할 수 있으므로 해결방안에 따라 최신버전으로 업데이트 권고


설명

  • Adobe Flash Player의 6개 취약점에 대한 보안 업데이트를 발표[1]
          · 임의코드 실행으로 이어질 수 있는 메모리 손상 취약점(CVE-2014-0587, CVE-2014-9164)
          · 임의코드 실행으로 이어질 수 있는 ‘user-after-free’ 취약점(CVE-2014-8443) 
          · 임의코드 실행으로 이어질 수 있는 스택오버플로우 취약점(CVE-2014-9163)
          · 정보 노출 취약점(CVE-2014-9162)
          · 동일 출처 정책(same origin policy)을 우회할 수 있는 취약점(CVE-2014-0580)
  • Adobe Reader/Acrobat의 20개 취약점에 대한 보안 업데이트를 발표[2]
          · 임의코드 실행으로 이어질 수 있는 ‘user-after-free’ 취약점(CVE-2014-8454, CVE-2014-8455, CVE-
            2014-9165)
          · 임의코드 실행으로 이어질 수 있는 힙오버플로우 취약점(CVE-2014-8457, CVE-2014-8460, 
            CVE-2014-9159)
          · 임의코드 실행으로 이어질 수 있는 정수오버플로우 취약점(CVE-2014-8449)
          · 임의코드 실행으로 이어질 수 있는 메모리 손상 취약점(CVE-2014-8445, CVE-2014-8446, CVE-2014-
            8447, CVE-2014-8456, CVE-2014-8458, CVE-2014-8459, CVE-2014-8461, CVE-2014-9158)
          · 임의의 파일을 생성할 수 있는 경쟁 상태(Race condition) 취약점(CVE-2014-9150)
          · 자바스크립트 API의 부적절한 구현을 이용한 정보 노출 취약점(CVE-2014-8448, CVE-2014-8451)
          · XML 외부 개체 참조를 이용한 정보 노출 취약점(CVE-2014-8452)
          · 동일 출처 정책(same origin policy)을 우회할 수 있는 취약점(CVE-2014-8453)
  • Adobe ColdFusion의 1개 취약점에 대한 보안 업데이트를 발표[3]
          · 서비스 거부 취약점(CVE-2014-9166)


영향 받는 소프트웨어

  • Adobe Flash Player

  • Adobe Reader/Acrobat

  • Adobe ColdFusion


해결 방안


용어 정리

  • Use After Free 취약점 : 소프트웨어 구현 시 동적 혹은 정적으로 할당된 메모리를 해제했음에도 불구하고 이를
    계속 참조(사용)하여 발생하는 취약점
  • 정수 오버플로우 : 허용된 정수 값보다 더 큰 값을 처리할 때 프로그램이 예기치 않게 동작하는 보안 취약점
  • 동일 출처 정책(same origin policy) : 특정 도메인에서 로드된 자바스크립트는 다른 도메인의 페이지 및 
    데이터에 접근할 수 없게 하는 보호 매커니즘


기타 문의사항

  • 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118


[참고사이트]
[1] http://helpx.adobe.com/security/products/flash-player/apsb14-27.html
[2] http://helpx.adobe.com/security/products/reader/apsb14-28.html
[3] http://helpx.adobe.com/security/products/coldfusion/apsb14-29.html


Trackback 0 Comment 0